;                        Configure the 2000E Processor.
;
;
; This include file configures the CPU and I/O card cage to contain the
; necessary device interfaces in the proper card slots.  It is invoked by the
; 2000E command files, as follows:
;
;    do spconfig.inc
;
; This file is never invoked directly by the user.
;
; The device assignments listed in the "2000E Time-Shared BASIC System
; Operator's Guide" (HP part number 02000-90049, August 1972) are incorrect.
; These correct assignments are derived from the 2000E sources (24280-8000x
; Rev. 1534):
;
;    Select
;     Code   Device
;    ------  -------------------------------------------------
;      10    12531C Buffered Teleprinter Interface
;    11-12   13210A Disc Drive Interface
;      13    12597A-002 Tape Reader Interface
;    14-15   12920A Asynchronous Multiplexer Data Interface
;      16    12920A Asynchronous Multiplexer Control Interface
;      17    12539C Time Base Generator Interface
;    20-21   13183B Digital Magnetic Tape Unit Interface


; Configure the CPU.
;
; The processor requires floating-point support, which must be enabled
; specifically for the 2100.

set CPU 2100,16K,FP


; Configure and assign the select codes of the required devices.
;
; The TTY is always enabled (it cannot be disabled).

set TTY  SC=10
set DPD  SC=11,ENABLED
set PTR  SC=13,ENABLED
set MUX  SC=14,ENABLED
set MUXC SC=16,ENABLED
set TBG  SC=17,ENABLED
set MSD  SC=20,ENABLED


; Configure the disc and tape drive interface models.

set DPC 13210
set MSC 13183


; Disable the devices that will not be used with this system.

set IPL  DISABLED
set PTP  DISABLED
set LPS  DISABLED
set LPT  DISABLED
set BACI DISABLED
set MPX  DISABLED
set DA   DISABLED
set DQD  DISABLED
set DRD  DISABLED
set DS   DISABLED
set MTD  DISABLED
set PIF  DISABLED
